<template>
<div :class="`flex p-4 mb-4 bg-${color}-500 rounded-lg`">
  <font-awesome-icon :icon="icon" :class="`flex-shrink-0 w-6 h-6 text-${color}-700`" />
  <div :class="`ml-3 mr-12 text-md font-medium text-${color}-700`">
     {{ text }}
  </div>
  <button type="button" :class="`flex justify-center border border-solid border-white ml-auto -mx-1.5 -my-1.5 bg-${color}-100 text-${color}-500 rounded-lg focus:ring-2 focus:ring-${color}-400 p-1.5 hover:bg-${color}-200 inline-flex h-8 w-8`" aria-label="Close" @click="$emit('click', $event)">
    <font-awesome-icon
        icon="times"
        class="w-5 h-5"
    />
  </button>
  </div>
</template>

<script>
export default {
  name: "AlertBanner",
  props: {
    icon: {
      default: null,
      svg: String
    },
    text: String,
    color: {
      default: "green",
      type: String
    }
  }
};
</script>

<style scoped></style>
